upgrade:
  reporter: sranasinghe  
  description: |
    GitLab 15.4.1 was affected by a [licensing cache issue](https://gitlab.com/gitlab-org/gitlab/-/issues/376706) which meant some premium features of GitLab will stop working if you add a new license. 
    Workarounds for this issue include:
    - Restarting all Rails, Sidekiq, and Gitaly nodes after applying a new license. This clears the relevant license caches and allows all premium features to operate correctly.
    - Upgrading to a version that is not impacted by this issue, for example 15.4.2.
